X3Profile (JHOVE Documentation)
Date: 2013-09-08

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.harvard.hul.ois.jhove.module.pdf
Class X3Profile

    java.lang.Object
      edu.harvard.hul.ois.jhove.module.pdf.PdfProfile
          edu.harvard.hul.ois.jhove.module.pdf.XProfileBase
              edu.harvard.hul.ois.jhove.module.pdf.X3Profile

    public final class X3Profile

extends XProfileBase

PDF profile checker for PDF/X-3 documents. See ISO Standard 15930-3, "Complete exchange suitable for colour-managed workflows (PDF/X-3)"

Field Summary

Fields inherited from class edu.harvard.hul.ois.jhove.module.pdf.XProfileBase
`_bleedBoxPresent, _xType, PDFX1, PDFX1A, PDFX2, PDFX3`

Fields inherited from class edu.harvard.hul.ois.jhove.module.pdf.PdfProfile
`_module, _parser, _profileText, _raf`

Constructor Summary
`X3Profile(PdfModule module)` Constructor.

Method Summary
`boolean` | `satisfiesThisProfile()` Returns `true` if the document satisfies the profile.
`protected boolean` | `xObjectOK(PdfDictionary xo)` Checks a single XObject for xObjectsOK.

Methods inherited from class edu.harvard.hul.ois.jhove.module.pdf.XProfileBase
`bboxOK, checkPrefsAgainstBleedBox, extGStateOK, filterOK, formObjectOK, imageObjectOK, infoDictOK, isBleedBoxPresent, outputIntentsOK, trailerDictOK`

Methods inherited from class edu.harvard.hul.ois.jhove.module.pdf.PdfProfile
`getText, hasFilters, isAlreadyOK, satisfiesProfile, xObjectsOK`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### X3Profile

    public X3Profile(PdfModule module)

  Constructor. Creates an X3Profile object for subsequent testing.

  Parameters:
    `module` - The module under which we are checking the profile.

Method Detail

### satisfiesThisProfile

    public boolean satisfiesThisProfile()

  Returns `true` if the document satisfies the profile.

  Specified by:
    `satisfiesThisProfile` in class `PdfProfile`

### xObjectOK

    protected boolean xObjectOK(PdfDictionary xo)

  Description copied from class: `XProfileBase`
  Checks a single XObject for xObjectsOK. Calls imageObjectOK and formObjectOK for profile-specific functionality.

  Overrides:
    `xObjectOK` in class `XProfileBase`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD